Name:          opus
Version:       1.1.3
Release:       1mamba
Summary:       A codec for interactive speech and audio transmission over the Internet
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.opus-codec.org
Source:        http://downloads.xiph.org/releases/opus/opus-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Opus is a codec for interactive speech and audio transmission over the Internet.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A codec for interactive speech and audio transmission over the Internet

%description -n lib%{name}
Opus is a codec for interactive speech and audio transmission over the Internet.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure \
   --enable-custom-modes

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopus.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/opus
%{_includedir}/opus/opus*.h
%{_libdir}/libopus.a
%{_libdir}/libopus.la
%{_libdir}/libopus.so
%{_libdir}/pkgconfig/opus.pc
%{_datadir}/aclocal/opus.m4
%dir %{_datadir}/doc/opus
%dir %{_datadir}/doc/opus/html
%{_datadir}/doc/opus/html/*
%{_mandir}/man3/opus_*.3*
%doc README

%changelog
* Sat Jul 16 2016 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Wed Jan 13 2016 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Fri Nov 27 2015 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Fri Dec 06 2013 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Thu Jul 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-2mamba
- configure with --enable-custom-modes as required by jack

* Sun Jul 14 2013 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Tue Jul 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- package created by silvan using the webbuild interface
